#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xC8,0x2B,0x6D,0x28,0x66,0x5F,0x55,0xE6,0xEA,0x35,0xD5,0xFD,
		0xD5,0xF6,0x73,0x67,0x16,0xB6,0xEC,0xE9,0xE0,0x3E,0xD9,0x08,
		0x70,0x2A,0xC5,0xAD,0x34,0x36,0x5E,0x31,0x13,0x88,0x5C,0x4D,
		0x59,0x37,0xA6,0x28,0x89,0x81,0xAF,0x61,0x0A,0xE2,0x5D,0x28,
		0x7B,0x1A,0x23,0xC3,0xA3,0xAA,0x27,0x03,0x78,0x6F,0xB4,0xC6,
		0x6C,0x59,0x54,0xBB,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
